Swagger2-Markdown v9.99 Perl 5 v5.8.8 x86_64-linux-ld

Status
Na
From
Andreas J. K├Ânig (ANDK)
Dist
Swagger2-Markdown v9.99
Platform
Perl 5 v5.8.8 x86_64-linux-ld
Date
2017-09-17T21:55:37
ID
f0676d0e-9bf2-11e7-aeb1-534487084656
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Lee Johnson,

This is a computer-generated report for Swagger2-Markdown-9.99
on perl 5.8.8, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN.  While attempting to build or test
this distribution, the distribution signaled that support is not available
either for this operating system or this version of Perl.  Nevertheless, any
diagnostic output produced is provided below for reference.  If this is not
what you expect, you may wish to consult the CPAN Testers Wiki:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/tmp/basesmoker-reloperl-ggHC/bin/perl Makefile.PL':

Checking if your kit is complete...
Looks good
Warning: Perl version 5.010001 or higher required. We run 5.008008.
Warning: prerequisite Swagger2 0.77 not found.
Generating a Unix-style Makefile
Writing Makefile for Swagger2::Markdown
Writing MYMETA.yml and MYMETA.json

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

configure_requires:

    Module              Need Have
    ------------------- ---- ----
    ExtUtils::MakeMaker 0    7.30


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    LANG = en_US.UTF-8
    PATH = /home/sand/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/perl/bin:/usr/X11/bin:/sbin:/usr/sbin
    PERL = /tmp/basesmoker-reloperl-ggHC/bin/perl
    PERL5LIB = 
    PERL5OPT = -I/tmp/CPAN-Reporter-lib-0t7A -MDevel::Autoflush
    PERL5_CPANPLUS_IS_RUNNING = 23447
    PERL5_CPAN_IS_EXECUTING = /tmp/loop_over_bdir-12108-dnjNU3/Swagger2-Markdown-9.99-0/Makefile.PL
    PERL5_CPAN_IS_RUNNING = 23447
    PERL_AUTOINSTALL = --defaultdeps
    PERL_CANARY_STABILITY_NOPROMPT = 1
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_MM_USE_DEFAULT = 1
    PERL_USE_UNSAFE_INC = 1
    SHELL = /usr/bin/zsh
    TERM = screen

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /tmp/basesmoker-reloperl-ggHC/bin/perl
    $UID/$EUID = 1005 / 1005
    $GID = 1005 1005
    $EGID = 1005 1005

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.18    
    CPAN::Meta          2.150010
    Cwd                 3.62    
    ExtUtils::CBuilder  0.280226
    ExtUtils::Command   7.30    
    ExtUtils::Install   2.14    
    ExtUtils::MakeMaker 7.30    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   3.35    
    File::Spec          3.62    
    JSON                2.94    
    JSON::PP            2.94    
    Module::Build       0.4224  
    Module::Signature   0.81    
    Parse::CPAN::Meta   2.150010
    Test::Harness       3.39    
    Test::More          1.302096
    YAML                1.23    
    YAML::Syck          1.30    
    version             0.9918  


--

Summary of my perl5 (revision 5 version 8 subversion 8) configuration:
  Platform:
    osname=linux, osvers=4.12.0-1-amd64, archname=x86_64-linux-ld
    uname='linux k93x64sid 4.12.0-1-amd64 #1 smp debian 4.12.6-1 (2017-08-12) x86_64 gnulinux '
    config_args='-Dprefix=/home/sand/src/perl/repoperls/installed-perls/host/k93x64sid/perl-5.8.8/3bd2 -Dmyhostname=k93x64sid -Dinstallusrbinperl=n -Uversiononly -Dusedevel -des -Ui_db -Dlibswanted=cl pthread socket inet nsl gdbm dbm malloc dl ld sun m crypt sec util c cposix posix ucb BSD gdbm_compat -Uuseithreads -Duselongdouble -DDEBUGGING=-g'
    hint=recommended, useposix=true, d_sigaction=define
    usethreads=undef use5005threads=undef useithreads=undef usemultiplicity=undef
    useperlio=define d_sfio=undef uselargefiles=define usesocks=undef
    use64bitint=define use64bitall=define uselongdouble=define
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-fno-strict-aliasing -pipe -Wdeclaration-after-statement -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64',
    optimize='-O2',
    cppflags='-fno-strict-aliasing -pipe -Wdeclaration-after-statement -I/usr/local/include'
    ccversion='', gccversion='7.2.0', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
    ivtype='long', ivsize=8, nvtype='long double', nvsize=16, Off_t='off_t', lseeksize=8
    alignbytes=16, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -L/usr/local/lib'
    libpth=/usr/local/lib /lib/x86_64-linux-gnu /lib/../lib /usr/lib/x86_64-linux-gnu /usr/lib/../lib /lib /usr/lib
    libs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    libc=libc-2.24.so, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version='2.24'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E'
    cccdlflags='-fpic', lddlflags='-shared -L/usr/local/lib'


Characteristics of this binary (from libperl): 
  Compile-time options: PERL_MALLOC_WRAP USE_64_BIT_ALL USE_64_BIT_INT
                        USE_LARGE_FILES USE_LONG_DOUBLE USE_PERLIO
  Built under linux
  Compiled at Sep 16 2017 10:29:57
  %ENV:
    PERL="/tmp/basesmoker-reloperl-ggHC/bin/perl"
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="23447"
    PERL5_CPAN_IS_EXECUTING="/tmp/loop_over_bdir-12108-dnjNU3/Swagger2-Markdown-9.99-0/Makefile.PL"
    PERL5_CPAN_IS_RUNNING="23447"
    PERL_AUTOINSTALL="--defaultdeps"
    PERL_CANARY_STABILITY_NOPROMPT="1"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_MM_USE_DEFAULT="1"
    PERL_USE_UNSAFE_INC="1"
  @INC:
    /home/sand/src/perl/repoperls/installed-perls/host/k93x64sid/perl-5.8.8/3bd2/lib/5.8.8/x86_64-linux-ld
    /home/sand/src/perl/repoperls/installed-perls/host/k93x64sid/perl-5.8.8/3bd2/lib/5.8.8
    /home/sand/src/perl/repoperls/installed-perls/host/k93x64sid/perl-5.8.8/3bd2/lib/site_perl/5.8.8/x86_64-linux-ld
    /home/sand/src/perl/repoperls/installed-perls/host/k93x64sid/perl-5.8.8/3bd2/lib/site_perl/5.8.8
    /home/sand/src/perl/repoperls/installed-perls/host/k93x64sid/perl-5.8.8/3bd2/lib/site_perl
    .